dnl Process this file with autoconf to produce a configure script
AC_INIT(src/cons/conlay.c)
AC_CONFIG_HEADER(src/include/defines.h:src/include/defines.h.in)

dnl Check C compiler
AC_PROG_CXX
AC_PROG_GCC_TRADITIONAL

dnl Checks for X stuff
AC_PATH_XTRA
AC_CHECK_LIB(Xmu,XmuCompareISOLatin1,XMULIB=-lXmu,XMULIB=,$X_LIBS $X_PRE_LIBS -lXaw -lXt -lXmu -lX11 $X_EXTRA_LIBS)

dnl Checks for header files
AC_HEADER_DIRENT
AC_HEADER_STDC
AC_HEADER_SYS_WAIT
AC_CHECK_HEADERS(fcntl.h sys/int_types.h sgtty.h strings.h sys/time.h sys/timeb.h termios.h termio.h unistd.h)

dnl Checks for typedefs, structures, and compiler characteristics
AC_C_CONST
AC_HEADER_TIME
AC_STRUCT_TM

dnl Checks for library functions
AC_FUNC_VFORK
AC_TYPE_SIGNAL
AC_FUNC_VPRINTF
AC_CHECK_FUNCS(ftime getcwd gethostid getpagesize gettimeofday getwd scandir strstr valloc)

AC_SUBST(x_includes)
AC_SUBST(x_libraries)
AC_SUBST(XMULIB)
AC_OUTPUT(Makefile)
